Subject: Re: linux-next: Tree for Feb 17 (pinctrl-msm)

From: Randy Dunlap <[email-masked]>
Date: Mon, 24 Feb 2014 10:14:45 -0800

On 02/24/2014 09:46 AM, Bjorn Andersson wrote:
> On Mon 24 Feb 06:46 PST 2014, Linus Walleij wrote:
> 
>> On Mon, Feb 17, 2014 at 6:33 PM, Randy Dunlap <[email-masked]> wrote:
>>> On 02/16/2014 10:23 PM, Stephen Rothwell wrote:
>>>> Hi all,
>>>>
>>>> If you see failures in building this tree due to missing declarations of
>>>> k..alloc/free, then it may be caused by commit 2bd59d48ebfb ("cgroup:
>>>> convert to kernfs").  Please send Tejun Heo <[email-masked]> a patch
>>>> adding an inclusion of linux/slab.h to the appropriate file(s).
>>>>
>>>> This tree fails (more than usual) the powerpc allyesconfig build.
>>>>
>>>> Changes since 20140214:
>>>>
>>>
>>> on i386:
>>>
>>> ERROR: "handle_bad_irq" [drivers/pinctrl/pinctrl-msm.ko] undefined!
>>
>> Weird, Björn do you know what may be causing this?
> 
> I include linux/irq.h to get hold of handle_bad_irq() and as far as I can see
> there are no changes related to that in linux-next.
> 
> Do we know if the build still fails? Or if something changed?
> 
> 
> Please let me know if I should pull down the -next tree and try to reproduce
> this.

I guess that you get off free on this one since I didn't post the failing
.config file and I have already deleted it.

I'm trying to reproduce it now but it's slow going.  I'll let you know if
I get it to fail again.

thanks,
-- 
~Randy